OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_HArray1OfStyleContextSelect Class Reference

`#include <StepVisual_HArray1OfStyleContextSelect.hxx>`

## Public Member Functions
Standard_EXPORT | StepVisual_HArray1OfStyleContextSelect (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepVisual_HArray1OfStyleContextSelect (const Standard_Integer Low, const Standard_Integer Up, const StepVisual_StyleContextSelect &V)
Standard_EXPORT void | Init (const StepVisual_StyleContextSelect &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepVisual_StyleContextSelect &Value)
const StepVisual_StyleContextSelect & | Value (const Standard_Integer Index) const
StepVisual_StyleContextSelect & | ChangeValue (const Standard_Integer Index)
const StepVisual_Array1OfStyleContextSelect & | Array1 () const
StepVisual_Array1OfStyleContextSelect & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepVisual_Array1OfStyleContextSelect | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_HArray1OfStyleContextSelect::StepVisual_HArray1OfStyleContextSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepVisual_HArray1OfStyleContextSelect::StepVisual_HArray1OfStyleContextSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepVisual_StyleContextSelect & | V
| ) |

## Member Function Documentation

const StepVisual_Array1OfStyleContextSelect& StepVisual_HArray1OfStyleContextSelect::Array1 | ( |  | ) | const

StepVisual_Array1OfStyleContextSelect& StepVisual_HArray1OfStyleContextSelect::ChangeArray1 | ( |  | ) |

StepVisual_StyleContextSelect& StepVisual_HArray1OfStyleContextSelect::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepVisual_HArray1OfStyleContextSelect::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepVisual_HArray1OfStyleContextSelect::Init | ( | const StepVisual_StyleContextSelect & | V | ) |

Standard_Integer StepVisual_HArray1OfStyleContextSelect::Length | ( |  | ) | const

Standard_Integer StepVisual_HArray1OfStyleContextSelect::Lower | ( |  | ) | const

void StepVisual_HArray1OfStyleContextSelect::SetValue | ( | const Standard_Integer | Index,
|  | const StepVisual_StyleContextSelect & | Value
| ) |

Standard_Integer StepVisual_HArray1OfStyleContextSelect::Upper | ( |  | ) | const

const StepVisual_StyleContextSelect& StepVisual_HArray1OfStyleContextSelect::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepVisual_Array1OfStyleContextSelect StepVisual_HArray1OfStyleContextSelect::myArray`[private]`

The documentation for this class was generated from the following file:

- StepVisual_HArray1OfStyleContextSelect.hxx